org.jgroups.blocks

## Class RequestOptions

- java.lang.Object
- - org.jgroups.blocks.RequestOptions

-     public class RequestOptions
      extends java.lang.Object

  Class which captures a bunch of options relevant to remote method invocation or message sending
  Since:
    2.10
  Author:
    Bela Ban

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestOptions` | `ASYNC` Deprecated.
    `protected boolean` | `sealed` When options are sealed, subsequent modifications will throw an exception
    `static RequestOptions` | `SYNC` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestOptions()`
    `RequestOptions(int mode, long timeout)`
    `RequestOptions(int mode, long timeout, boolean use_anycasting, RspFilter rsp_filter)`
    `RequestOptions(int mode, long timeout, boolean use_anycasting, RspFilter rsp_filter, byte flags)`
    `RequestOptions(RequestOptions opts)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestOptions` | `ASYNC()`
    `protected void` | `checkSealed()`
    `RequestOptions` | `clearFlags(byte flags)`
    `boolean` | `getAnycasting()`
    `java.util.Collection<Address>` | `getExclusionList()`
    `byte` | `getFlags()`
    `int` | `getMode()`
    `RspFilter` | `getRspFilter()`
    `short` | `getScope()`
    `long` | `getTimeout()`
    `boolean` | `hasExclusionList()`
    `RequestOptions` | `seal()` Deprecated. Will get removed together with SYNC and ASYNC in 3.0
    `RequestOptions` | `setAnycasting(boolean use_anycasting)`
    `RequestOptions` | `setExclusionList(Address... mbrs)`
    `RequestOptions` | `setFlags(byte flags)`
    `RequestOptions` | `setMode(int mode)`
    `RequestOptions` | `setRspFilter(RspFilter rsp_filter)`
    `RequestOptions` | `setScope(short scope)`
    `RequestOptions` | `setTimeout(long timeout)`
    `static RequestOptions` | `SYNC()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sealed

          protected boolean sealed

      When options are sealed, subsequent modifications will throw an exception

    - #### SYNC

          @Deprecated
          public static final RequestOptions SYNC

      Deprecated.

    - #### ASYNC

          @Deprecated
          public static final RequestOptions ASYNC

      Deprecated.

  - ### Constructor Detail

    - #### RequestOptions

          public RequestOptions()

    - #### RequestOptions

          public RequestOptions(int mode,
                        long timeout,
                        boolean use_anycasting,
                        RspFilter rsp_filter,
                        byte flags)

    - #### RequestOptions

          public RequestOptions(int mode,
                        long timeout,
                        boolean use_anycasting,
                        RspFilter rsp_filter)

    - #### RequestOptions

          public RequestOptions(int mode,
                        long timeout)

    - #### RequestOptions

          public RequestOptions(RequestOptions opts)

  - ### Method Detail

    - #### SYNC

          public static RequestOptions SYNC()

    - #### ASYNC

          public static RequestOptions ASYNC()

    - #### getMode

          public int getMode()

    - #### setMode

          public RequestOptions setMode(int mode)

    - #### getTimeout

          public long getTimeout()

    - #### setTimeout

          public RequestOptions setTimeout(long timeout)

    - #### getAnycasting

          public boolean getAnycasting()

    - #### setAnycasting

          public RequestOptions setAnycasting(boolean use_anycasting)

    - #### getScope

          public short getScope()

    - #### setScope

          public RequestOptions setScope(short scope)

    - #### getRspFilter

          public RspFilter getRspFilter()

    - #### setRspFilter

          public RequestOptions setRspFilter(RspFilter rsp_filter)

    - #### getFlags

          public byte getFlags()

    - #### setFlags

          public RequestOptions setFlags(byte flags)

    - #### clearFlags

          public RequestOptions clearFlags(byte flags)

    - #### hasExclusionList

          public boolean hasExclusionList()

    - #### getExclusionList

          public java.util.Collection<Address> getExclusionList()

    - #### setExclusionList

          public RequestOptions setExclusionList(Address... mbrs)

    - #### seal

          @Deprecated
          public RequestOptions seal()

      Deprecated. Will get removed together with SYNC and ASYNC in 3.0
      Seals options against subsequent modifications

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### checkSealed

          protected void checkSealed()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.